# SYSCS_UTIL.SYSCS_EMPTY_STATEMENT_CACHE system procedure

The `SYSCS_UTIL.SYSCS_EMPTY_STATEMENT_CACHE` stored procedure removes as many compiled statements (plans) as possible from the database-wide statement cache. The procedure does not remove statements related to currently executing queries or to activations that are about to be garbage collected, so the cache is not guaranteed to be completely empty after a call to this procedure.

#### Syntax

    SYSCS_UTIL.SYSCS_EMPTY_STATEMENT_CACHE()

#### JDBC Example

    CallableStatement cs = conn.prepareCall
    ("CALL SYSCS_UTIL.SYSCS_EMPTY_STATEMENT_CACHE()");
    cs.execute();
    cs.close();

#### SQL Example

    CALL SYSCS_UTIL.SYSCS_EMPTY_STATEMENT_CACHE();

Parent topic: Built-in system procedures